#ifndef _INPUTOPTIONSMKV_H_
#define _INPUTOPTIONSMKV_H_


class InputOptionsMKV : public vdxunknown<IVDXInputOptions>
{
private:
	static INT_PTR CALLBACK OptionsDlgProc(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam);

public:
	InputOptionsMKV();
	~InputOptionsMKV();

	uint32 VDXAPIENTRY Write(void *buf, uint32 buflen);
	static void InitDialogTitle(HWND hDlg, char *pTitle);
	void OptionsDlg(HWND hwndParent);

	struct OptionsMKV {
		uint32 len;
		bool fCreateIndex;
		bool fDeliverRawAAC;
		bool fUseH264NotAVC1;
	} opts;
};


#endif	// _INPUTOPTIONSMKV_H_
